package com.rjconsultores.ventaboletos.enuns;

public enum OcorrenciaMercantil {

	EntNor("01","REMESSA - ENTRADA NORMAL"),
	PedCli("02","BAIXA - PEDIDO DO CLIENTE"),
	ConAba("04","ALTERAÇÃO - CONCESSÃO DE ABATIMENTO"),
	CanAba("05","ALTERAÇÃO - CANCELAMENTO DE ABATIMENTO"),
	ProVen("06","ALTERAÇÃO - PRORROGAÇÃO DE VENCIMENTO"),
	ConDes("07","CONCEDER DESCONTO DE R$"),
	ProAvi("09","PROTESTAR SEM MAIS AVISO CONSULTA");
	
	private OcorrenciaMercantil(String id, String label){
		this.id = id;
		this.label = label;
	}
	
	private String id;
	private String label;
	
	public String getId() {
		return id;
	}
	
	public String getLabel() {
		return label;
	}
	
	public static OcorrenciaMercantil getInstance(String id){
		
		for(OcorrenciaMercantil o : OcorrenciaMercantil.values()){
			
			if(o.getId().equals(id)){
				return o;
				
			}
		}
		
		return null;
		
	}
}
