package br.com.rjconsultores.auditador.model;

import br.com.rjconsultores.auditador.enums.AuditadorTipoAlteracao;

public class AuditadorObjects implements Cloneable {

	private String valorAnterior;
	private String valorNovo;
	private String campoAlterado;
	private String classeAlterada;
	private String classePrincipal;
	private String tela;
	private AuditadorTipoAlteracao tipoAlteracao;
	private String idAuditado;

	public String getValorAnterior() {
		return valorAnterior;
	}

	public void setValorAnterior(String valorAnterior) {
		this.valorAnterior = valorAnterior;
	}

	public String getValorNovo() {
		return valorNovo;
	}

	public void setValorNovo(String valorNovo) {
		this.valorNovo = valorNovo;
	}

	public String getCampoAlterado() {
		return campoAlterado;
	}

	public void setCampoAlterado(String campoAlterado) {
		this.campoAlterado = campoAlterado;
	}

	public String getClasseAlterada() {
		return classeAlterada;
	}

	public void setClasseAlterada(String classeAlterada) {
		this.classeAlterada = classeAlterada;
	}

	public String getClassePrincipal() {
		return classePrincipal;
	}

	public void setClassePrincipal(String classePrincipal) {
		this.classePrincipal = classePrincipal;
	}

	public String getTela() {
		return tela;
	}

	public void setTela(String tela) {
		this.tela = tela;
	}

	public AuditadorTipoAlteracao getTipoAlteracao() {
		return tipoAlteracao;
	}

	public void setTipoAlteracao(AuditadorTipoAlteracao tipoAlteracao) {
		this.tipoAlteracao = tipoAlteracao;
	}

	public String getIdAuditado() {
		return idAuditado;
	}

	public void setIdAuditado(String idAuditado) {
		this.idAuditado = idAuditado;
	}

	@Override
	protected Object clone() throws CloneNotSupportedException {
		return super.clone();
	}
	
	public AuditadorObjects clonar() throws CloneNotSupportedException {
		return (AuditadorObjects) this.clone();
	}

	@Override
	public String toString() {
		return "AuditadorObjects [valorAnterior=" + valorAnterior + ", valorNovo=" + valorNovo + ", campoAlterado="
				+ campoAlterado + ", classeAlterada=" + classeAlterada + ", classePrincipal=" + classePrincipal
				+ ", tela=" + tela + ", tipoAlteracao=" + tipoAlteracao + ", idAuditado="
				+ idAuditado + "]";
	}

}
