package com.rjconsultores.ventaboletos.blocos.sicoob;

import java.util.Date;

import com.rjconsultores.ventaboletos.blocos.CabecalhoRemessa;

public class CabecalhoRemessaSicoob implements CabecalhoRemessa {

	private String codigoEmpresa;
	private String nomeEmpresa;
	private Date dataGravacao;
	private Integer numeroSequencialRemessa;
	private Integer numeroSequencialRegistro;
	private Integer loteServico;
	private Integer cpfCnpj;
	private String numCpfCnpj;
	private String numConvenio;
	private String numAgencia;
	private String digAgencia;
	private String numContaCorrente;
	private String digContaCorrente;
	private Integer numRemessa;
	
	private CabecalhoLoteRemessaSicoob cabecalhoLoteRemessaSicoob;

	public String getCodigoEmpresa() {
		return codigoEmpresa;
	}

	public void setCodigoEmpresa(String codigoEmpresa) {
		this.codigoEmpresa = codigoEmpresa;
	}

	public String getNomeEmpresa() {
		return nomeEmpresa;
	}

	public void setNomeEmpresa(String nomeEmpresa) {
		this.nomeEmpresa = nomeEmpresa;
	}

	public Date getDataGravacao() {
		return dataGravacao;
	}

	public void setDataGravacao(Date dataGravacao) {
		this.dataGravacao = dataGravacao;
	}

	public Integer getNumeroSequencialRemessa() {
		return numeroSequencialRemessa;
	}

	public void setNumeroSequencialRemessa(Integer numeroSequencialRemessa) {
		this.numeroSequencialRemessa = numeroSequencialRemessa;
	}

	public Integer getNumeroSequencialRegistro() {
		return numeroSequencialRegistro;
	}

	public void setNumeroSequencialRegistro(Integer numeroSequencialRegistro) {
		this.numeroSequencialRegistro = numeroSequencialRegistro;
	}

	public Integer getLoteServico() {
		return loteServico;
	}

	public void setLoteServico(Integer loteServico) {
		this.loteServico = loteServico;
	}

	public Integer getCpfCnpj() {
		return cpfCnpj;
	}

	public void setCpfCnpj(Integer cpfCnpj) {
		this.cpfCnpj = cpfCnpj;
	}

	public String getNumCpfCnpj() {
		return numCpfCnpj;
	}

	public void setNumCpfCnpj(String numCpfCnpj) {
		this.numCpfCnpj = numCpfCnpj;
	}

	public String getNumConvenio() {
		return numConvenio;
	}

	public void setNumConvenio(String numConvenio) {
		this.numConvenio = numConvenio;
	}

	public String getNumAgencia() {
		return numAgencia;
	}

	public void setNumAgencia(String numAgencia) {
		this.numAgencia = numAgencia;
	}

	public String getDigAgencia() {
		return digAgencia;
	}

	public void setDigAgencia(String digAgencia) {
		this.digAgencia = digAgencia;
	}

	public String getNumContaCorrente() {
		return numContaCorrente;
	}

	public void setNumContaCorrente(String numContaCorrente) {
		this.numContaCorrente = numContaCorrente;
	}

	public String getDigContaCorrente() {
		return digContaCorrente;
	}

	public void setDigContaCorrente(String digContaCorrente) {
		this.digContaCorrente = digContaCorrente;
	}

	public Integer getNumRemessa() {
		return numRemessa;
	}

	public void setNumRemessa(Integer numRemessa) {
		this.numRemessa = numRemessa;
	}

	public CabecalhoLoteRemessaSicoob getCabecalhoLoteRemessaSicoob() {
		return cabecalhoLoteRemessaSicoob;
	}

	public void setCabecalhoLoteRemessaSicoob(CabecalhoLoteRemessaSicoob cabecalhoLoteRemessaSicoob) {
		this.cabecalhoLoteRemessaSicoob = cabecalhoLoteRemessaSicoob;
	}

}
