package com.rjconsultores.ventaboletos.enuns;

public enum OcorrenciaItau {

	Ocorrencia02("02","ENTRADA CONFIRMADA COM POSSIBILIDADE DE MENSAGEM"),
	Ocorrencia03("03","ENTRADA REJEITADA"),
	Ocorrencia04("04","ALTERAÇÃO DE DADOS - NOVA ENTRADA OU ALTERAÇÃO/EXCLUSÃO DE DADOS ACATADA"),
	Ocorrencia05("05","ALTERAÇÃO DE DADOS - BAIXA"),
	Ocorrencia06("06","LIQUIDAÇÃO NORMAL"),
	Ocorrencia07("07","LIQUIDAÇÃO PARCIAL - COBRANÇA INTELIGENTE"),
	Ocorrencia08("08","LIQUIDAÇÃO EM CARTÓRIO 09 BAIXA SIMPLES"),
	Ocorrencia10("10","BAIXA POR TER SIDO LIQUIDADO"),
	Ocorrencia11("11","EM SER"),
	Ocorrencia12("12","ABATIMENTO CONCEDIDO"),
	Ocorrencia13("13","ABATIMENTO CANCELADO"),
	Ocorrencia14("14","VENCIMENTO ALTERADO"),
	Ocorrencia15("15","BAIXAS REJEITADAS"),
	Ocorrencia16("16","INSTRUÇÕES REJEITADAS"),
	Ocorrencia17("17","ALTERAÇÃO/EXCLUSÃO DE DADOS REJEITADOS"),
	Ocorrencia18("18","COBRANÇA CONTRATUAL - INSTRUÇÕES/ALTERAÇÕES REJEITADAS/PENDENTES"),
	Ocorrencia19("19","CONFIRMA RECEBIMENTO DE INSTRUÇÃO DE PROTESTO"),
	Ocorrencia20("20","CONFIRMA RECEBIMENTO DE INSTRUÇÃO DE SUSTAÇÃO DE PROTESTO /TARIFA"),
	Ocorrencia21("21","CONFIRMA RECEBIMENTO DE INSTRUÇÃO DE NÃO PROTESTAR"),
	Ocorrencia23("23","TÍTULO ENVIADO A CARTÓRIO/TARIFA"),
	Ocorrencia24("24","INSTRUÇÃO DE PROTESTO REJEITADA / SUSTADA / PENDENTE"),
	Ocorrencia25("25","ALEGAÇÕES DO PAGADOR"),
	Ocorrencia26("26","TARIFA DE AVISO DE COBRANÇA"),
	Ocorrencia27("27","TARIFA DE EXTRATO POSIÇÃO"),
	Ocorrencia28("28","TARIFA DE RELAÇÃO DAS LIQUIDAÇÕES"),
	Ocorrencia29("29","TARIFA DE MANUTENÇÃO DE TÍTULOS VENCIDOS"),
	Ocorrencia30("30","DÉBITO MENSAL DE TARIFAS (PARA ENTRADAS E BAIXAS),"),
	Ocorrencia32("32","BAIXA POR TER SIDO PROTESTADO"),
	Ocorrencia33("33","CUSTAS DE PROTESTO"),
	Ocorrencia34("34","CUSTAS DE SUSTAÇÃO"),
	Ocorrencia35("35","CUSTAS DE CARTÓRIO DISTRIBUIDOR"),
	Ocorrencia36("36","CUSTAS DE EDITAL"),
	Ocorrencia37("37","TARIFA DE EMISSÃO DE BOLETO/TARIFA DE ENVIO DE DUPLICATA"),
	Ocorrencia38("38","TARIFA DE INSTRUÇÃO"),
	Ocorrencia39("39","TARIFA DE OCORRÊNCIAS"),
	Ocorrencia40("40","TARIFA MENSAL DE EMISSÃO DE BOLETO/TARIFA MENSAL DE ENVIO DE DUPLICATA"),
	Ocorrencia41("41","DÉBITO MENSAL DE TARIFAS - EXTRATO DE POSIÇÃO (B4EP/B4OX),"),
	Ocorrencia42("42","DÉBITO MENSAL DE TARIFAS - OUTRAS INSTRUÇÕES"),
	Ocorrencia43("43","DÉBITO MENSAL DE TARIFAS - MANUTENÇÃO DE TÍTULOS VENCIDOS"),
	Ocorrencia44("44","DÉBITO MENSAL DE TARIFAS - OUTRAS OCORRÊNCIAS"),
	Ocorrencia45("45","DÉBITO MENSAL DE TARIFAS - PROTESTO"),
	Ocorrencia46("46","DÉBITO MENSAL DE TARIFAS - SUSTAÇÃO DE PROTESTO"),
	Ocorrencia47("47","BAIXA COM TRANSFERÊNCIA PARA DESCONTO"),
	Ocorrencia48("48","CUSTAS DE SUSTAÇÃO JUDICIAL"),
	Ocorrencia51("51","TARIFA MENSAL REF A ENTRADAS BANCOS CORRESPONDENTES NA CARTEIRA"),
	Ocorrencia52("52","TARIFA MENSAL BAIXAS NA CARTEIRA"),
	Ocorrencia53("53","TARIFA MENSAL BAIXAS EM BANCOS CORRESPONDENTES NA CARTEIRA"),
	Ocorrencia54("54","TARIFA MENSAL DE LIQUIDAÇÕES NA CARTEIRA"),
	Ocorrencia55("55","TARIFA MENSAL DE LIQUIDAÇÕES EM BANCOS CORRESPONDENTES NA CARTEIRA"),
	Ocorrencia56("56","CUSTAS DE IRREGULARIDADE"),
	Ocorrencia57("57","INSTRUÇÃO CANCELADA"),
	Ocorrencia59("59","BAIXA POR CRÉDITO EM C/C ATRAVÉS DO SISPAG"),
	Ocorrencia60("60","ENTRADA REJEITADA CARNÊ"),
	Ocorrencia61("61","TARIFA EMISSÃO AVISO DE MOVIMENTAÇÃO DE TÍTULOS)"),
	Ocorrencia62("62","DÉBITO MENSAL DE TARIFA - AVISO DE MOVIMENTAÇÃO DE TÍTULOS"),
	Ocorrencia63("63","TÍTULO SUSTADO JUDICIALMENTE"),
	Ocorrencia64("64","ENTRADA CONFIRMADA COM RATEIO DE CRÉDITO"),
	Ocorrencia65("65","PAGAMENTO COM CHEQUE - AGUARDANDO COMPENSAÇÃO"),
	Ocorrencia69("69","CHEQUE DEVOLVIDO"),
	Ocorrencia71("71","ENTRADA REGISTRADA, AGUARDANDO AVALIAÇÃO"),
	Ocorrencia72("72","BAIXA POR CRÉDITO EM C/C ATRAVÉS DO SISPAG SEM TÍTULO CORRESPONDENTE"),
	Ocorrencia73("73","CONFIRMAÇÃO DE ENTRADA NA COBRANÇA SIMPLES - ENTRADA NÃO ACEITA NA COBRANÇA CONTRATUAL"),
	Ocorrencia74("74","INSTRUÇÃO DE NEGATIVAÇÃO EXPRESSA REJEITADA"),
	Ocorrencia75("75","CONFIRMAÇÃO DE RECEBIMENTO DE INSTRUÇÃO DE ENTRADA EM NEGATIVAÇÃO EXPRESSA"),
	Ocorrencia76("76","CHEQUE COMPENSADO"),
	Ocorrencia77("77","CONFIRMAÇÃO DE RECEBIMENTO DE INSTRUÇÃO DE EXCLUSÃO DE ENTRADA EM NEGATIVAÇÃO EXPRESSA"),
	Ocorrencia78("78","CONFIRMAÇÃO DE RECEBIMENTO DE INSTRUÇÃO DE CANCELAMENTO DE NEGATIVAÇÃO EXPRESSA"),
	Ocorrencia79("79","NEGATIVAÇÃO EXPRESSA INFORMACIONAL"),
	Ocorrencia80("80","CONFIRMAÇÃO DE ENTRADA EM NEGATIVAÇÃO EXPRESSA - TARIFA"),
	Ocorrencia82("82","CONFIRMAÇÃO DO CANCELAMENTO DE NEGATIVAÇÃO EXPRESSA - TARIFA"),
	Ocorrencia83("83","CONFIRMAÇÃO DE EXCLUSÃO DE ENTRADA EM NEGATIVAÇÃO EXPRESSA POR LIQUIDAÇÃO - TARIFA"),
	Ocorrencia85("85","TARIFA POR BOLETO (ATÉ 03 ENVIOS) COBRANÇA ATIVA ELETRÔNICA"),
	Ocorrencia86("86","TARIFA EMAIL COBRANÇA ATIVA ELETRÔNICA"),
	Ocorrencia87("87","TARIFA SMS COBRANÇA ATIVA ELETRÔNICA"),
	Ocorrencia88("88","TARIFA MENSAL POR BOLETO (ATÉ 03 ENVIOS) COBRANÇA ATIVA ELETRÔNICA"),
	Ocorrencia89("89","TARIFA MENSAL EMAIL COBRANÇA ATIVA ELETRÔNICA"),
	Ocorrencia90("90","TARIFA MENSAL SMS COBRANÇA ATIVA ELETRÔNICA"),
	Ocorrencia91("91","TARIFA MENSAL DE EXCLUSÃO DE ENTRADA DE NEGATIVAÇÃO EXPRESSA"),
	Ocorrencia92("92","TARIFA MENSAL DE CANCELAMENTO DE NEGATIVAÇÃO EXPRESSA"),
	Ocorrencia93("93","TARIFA MENSAL DE EXCLUSÃO DE NEGATIVAÇÃO EXPRESSA POR LIQUIDAÇÃO");
	
	private OcorrenciaItau(String cod, String label) {
		this.cod = cod;
		this.label = label;
	}
	
	private String cod;
	private String label;
	
	public String getCod() {
		return cod;
	}
	
	public String getLabel() {
		return label;
	}
	
	public OcorrenciaItau getInstaceByCod(String cod){
		
		
		for (OcorrenciaItau oItau : values()) {
			
			if (oItau.getCod().equals(cod)) {
				return oItau;
			}
		}
		
		return null;
	}
	
	public OcorrenciaItau getInstaceByCod(int cod){
		
		String codigo = "";
		if(cod < 10){
			codigo = "0" + cod;
		}else{
			codigo = "" + cod;
		}
		
		return getInstaceByCod(codigo);
	}
}
